{% extends 'base_permanencier.html' %}
{% load crispy_forms_tags %}
{% block title %}Compostage par carte VA{% endblock %}

{% block content %}
    <div class="row">
        <div class="col col-lg-4 col-md-5">
            <div class="card">
                <h4 class="card-header">Composter</h4>
                <div class="card-body">
                    Vous compostez sur la <b>{{ file }}</b>
                    <form method="POST">
                        <!-- il faut mettre enctype=mutltipart/form-data pour avoir l'upload qui marche-->
                        {% csrf_token %}
                        {{ form | crispy }}
                        <button type="submit" class="btn btn-primary">Composter</button>
                    </form>
                </div>
            </div>
        </div>
        {% if success %}
            <div class="col col-lg-6 col-md-7">
                <div class="card">
                    <div class="card-header">
                        <h4>Résultat</h4>
                    </div>
                    <div class="card-body">
                        <a href="{% url 'billet-edit' order_id=billet.order.id pk=billet.id %}">{{ billet }}</a> composté
                        pour le client <a href="{% url 'client-edit' pk=client.id %}">{{ client }}</a>
                    </div>
                </div>
            </div>
        {% endif %}
    </div>
{% endblock %}
